Bug 1661324 - slic3r crashes at startup, core dumped (Wayland related)
Summary: slic3r crashes at startup, core dumped (Wayland related)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: slic3r
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-20 20:03 UTC by Gert Dewit
Modified: 2019-01-01 02:55 UTC (History)
3 users (show)

Fixed In Version: slic3r-1.3.0-5.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-01 02:55:23 UTC


Attachments (Terms of Use)

Description Gert Dewit 2018-12-20 20:03:27 UTC
Description of problem:
slic3r crashes at startup

Version-Release number of selected component (if applicable):
1.3.0-4.fc29 x86_64

How reproducible:
Allways

Steps to Reproduce:
1. enter slic3r on command line
2.crash

1. start slicer from graphical applications launcher
2.crash

Actual results:
core dump

Expected results:


Additional info:
$ coredumpctl debug 17803
           PID: 17803 (slic3r)
           UID: 1000 (gert)
           GID: 1000 (gert)
        Signal: 11 (SEGV)
     Timestamp: Thu 2018-12-20 19:57:45 CET (13min ago)
  Command Line: /usr/bin/perl /usr/bin/slic3r --debug
    Executable: /usr/bin/perl
 Control Group: /user.slice/user-1000.slice/user@1000.service/gnome-terminal-server.service
          Unit: user@1000.service
     User Unit: gnome-terminal-server.service
         Slice: user-1000.slice
     Owner UID: 1000 (gert)
       Boot ID: 4fba0c784bec46079b68cc9765cf9ade
    Machine ID: 176fa5546cf847b19afe36ccdc7da5bb
      Hostname: samwise
       Storage: /var/lib/systemd/coredump/core.slic3r.1000.4fba0c784bec46079b68cc9765cf9ade.17803.1545332265000000.lz4
       Message: Process 17803 (slic3r) of user 1000 dumped core.
                
                Stack trace of thread 17803:
                #0  0x00007fb80f9d703d XQueryExtension (libX11.so.6)
                #1  0x00007fb80fae8d82 n/a (libGLX.so.0)
                #2  0x00007fb80fae4da9 glXQueryVersion (libGLX.so.0)
                #3  0x00007fb80c054ee5 _ZN13wxGLCanvasX1113GetGLXVersionEv (libwx_gtk3u_gl-3.0.so.0)
                #4  0x00007fb80c055f15 _ZN13wxGLCanvasX1118ConvertWXAttrsToGLEPKiPim (libwx_gtk3u_gl-3.0.so.0)
                #5  0x00007fb80c05664c _ZN13wxGLCanvasX1115InitXVisualInfoEPKiPPP16__GLXFBConfigRecPP11XVisualInfo (libwx_gtk3u_gl-3.0.so.0)
                #6  0x00007fb80c056d33 _ZN10wxGLCanvas6CreateEP8wxWindowiRK7wxPointRK6wxSizelRK8wxStringPKiRK9wxPalette (libwx_gtk3u_gl-3.0.so.0)
                #7  0x00007fb80c056ed7 _ZN10wxGLCanvasC1EP8wxWindowiPKiRK7wxPointRK6wxSizelRK8wxStringRK9wxPalette (libwx_gtk3u_gl-3.0.so.0)
                #8  0x00007fb80c2ef9b9 n/a (GLCanvas.so)
                #9  0x00007fb81d9ddb09 Perl_pp_entersub (libperl.so.5.28)
                #10 0x00007fb81d9d3cf5 Perl_runops_standard (libperl.so.5.28)
                #11 0x00007fb81d9485ed Perl_call_sv (libperl.so.5.28)
                #12 0x00007fb80c2eebce n/a (GLCanvas.so)
                #13 0x00007fb81d9ddb09 Perl_pp_entersub (libperl.so.5.28)
                #14 0x00007fb81d9d3cf5 Perl_runops_standard (libperl.so.5.28)
                #15 0x00007fb81d948805 Perl_call_sv (libperl.so.5.28)
                #16 0x00007fb80f53a72c n/a (Wx.so)
                #17 0x00007fb81d9ddb09 Perl_pp_entersub (libperl.so.5.28)
                #18 0x00007fb81d9d3cf5 Perl_runops_standard (libperl.so.5.28)
                #19 0x00007fb81d95093f perl_run (libperl.so.5.28)
                #20 0x000055b21726d34a n/a (perl)
                #21 0x00007fb81d53b413 __libc_start_main (libc.so.6)
                #22 0x000055b21726d38e n/a (perl)
                
                Stack trace of thread 17806:
                #0  0x00007fb81d609421 __poll (libc.so.6)
                #1  0x00007fb80de545a6 n/a (libglib-2.0.so.0)
                #2  0x00007fb80de54962 g_main_loop_run (libglib-2.0.so.0)
                #3  0x00007fb80d8a679a n/a (libgio-2.0.so.0)
                #4  0x00007fb80de7d48a n/a (libglib-2.0.so.0)
                #5  0x00007fb81d8cb58e start_thread (libpthread.so.0)
                #6  0x00007fb81d6146a3 __clone (libc.so.6)
                
                Stack trace of thread 17807:
                #0  0x00007fb81d609421 __poll (libc.so.6)
                #1  0x00007fb80de545a6 n/a (libglib-2.0.so.0)
                #2  0x00007fb80de546d0 g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007fb80f462c7d n/a (libdconfsettings.so)
                #4  0x00007fb80de7d48a n/a (libglib-2.0.so.0)
                #5  0x00007fb81d8cb58e start_thread (libpthread.so.0)
                #6  0x00007fb81d6146a3 __clone (libc.so.6)
                
                Stack trace of thread 17804:
                #0  0x00007fb81d609421 __poll (libc.so.6)
                #1  0x00007fb80de545a6 n/a (libglib-2.0.so.0)
                #2  0x00007fb80de546d0 g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007fb80de54721 n/a (libglib-2.0.so.0)
                #4  0x00007fb80de7d48a n/a (libglib-2.0.so.0)
                #5  0x00007fb81d8cb58e start_thread (libpthread.so.0)
                #6  0x00007fb81d6146a3 __clone (libc.so.6)
                
                Stack trace of thread 17805:
                #0  0x00007fb81d60eefd syscall (libc.so.6)
                #1  0x00007fb80de9c11e g_cond_wait_until (libglib-2.0.so.0)
                #2  0x00007fb80de26231 n/a (libglib-2.0.so.0)
                #3  0x00007fb80de7dfd2 n/a (libglib-2.0.so.0)
                #4  0x00007fb80de7d48a n/a (libglib-2.0.so.0)
                #5  0x00007fb81d8cb58e start_thread (libpthread.so.0)
                #6  0x00007fb81d6146a3 __clone (libc.so.6)

....

Core was generated by `/usr/bin/perl /usr/bin/slic3r'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00007f1c93b5a03d in XQueryExtension (dpy=dpy@entry=0x5599d1cf2800, name=name@entry=0x7f1c93c70006 "GLX", major_opcode=major_opcode@entry=0x5599d446a624, first_event=first_event@entry=0x7ffd58d17b04, 
    first_error=first_error@entry=0x5599d446a628) at QuExt.c:43
43	    LockDisplay(dpy);
[Current thread is 1 (Thread 0x7f1ca1697740 (LWP 20512))]
(gdb) bt
#0  0x00007f1c93b5a03d in XQueryExtension (dpy=dpy@entry=0x5599d1cf2800, name=name@entry=0x7f1c93c70006 "GLX", major_opcode=major_opcode@entry=0x5599d446a624, first_event=first_event@entry=0x7ffd58d17b04, 
    first_error=first_error@entry=0x5599d446a628) at QuExt.c:43
#1  0x00007f1c93c6bd82 in InitDisplayInfoEntry (dpy=0x5599d1cf2800) at libglxmapping.c:645
#2  __glXLookupDisplay (dpy=<optimized out>, dpy@entry=0x5599d1cf2800) at libglxmapping.c:737
#3  0x00007f1c93c67da9 in glXQueryVersion (dpy=0x5599d1cf2800, major=0x7ffd58d17bb0, minor=0x7ffd58d17bb4) at libglx.c:1170
#4  0x00007f1c8a75eee5 in wxGLCanvasX11::GetGLXVersion() () from /lib64/libwx_gtk3u_gl-3.0.so.0
#5  0x00007f1c8a75ff15 in wxGLCanvasX11::ConvertWXAttrsToGL(int const*, int*, unsigned long) () from /lib64/libwx_gtk3u_gl-3.0.so.0
#6  0x00007f1c8a76064c in wxGLCanvasX11::InitXVisualInfo(int const*, __GLXFBConfigRec***, XVisualInfo**) () from /lib64/libwx_gtk3u_gl-3.0.so.0
#7  0x00007f1c8a760d33 in wxGLCanvas::Create(wxWindow*, int, wxPoint const&, wxSize const&, long, wxString const&, int const*, wxPalette const&) () from /lib64/libwx_gtk3u_gl-3.0.so.0
#8  0x00007f1c8a760ed7 in wxGLCanvas::wxGLCanvas(wxWindow*, int, int const*, wxPoint const&, wxSize const&, long, wxString const&, wxPalette const&) () from /lib64/libwx_gtk3u_gl-3.0.so.0
#9  0x00007f1c8ac6f9b9 in XS_Wx__GLCanvas_newDefault (my_perl=0x5599d0c25260, cv=<optimized out>) at GLCanvas.xs:132
#10 0x00007f1ca1b60b09 in Perl_pp_entersub () from /lib64/libperl.so.5.28
#11 0x00007f1ca1b56cf5 in Perl_runops_standard () from /lib64/libperl.so.5.28
#12 0x00007f1ca1acb5ed in Perl_call_sv () from /lib64/libperl.so.5.28
#13 0x00007f1c8ac6ebce in XS_Wx__GLCanvas_new (my_perl=0x5599d0c25260, cv=<optimized out>) at GLCanvas.xs:113
#14 0x00007f1ca1b60b09 in Perl_pp_entersub () from /lib64/libperl.so.5.28
#15 0x00007f1ca1b56cf5 in Perl_runops_standard () from /lib64/libperl.so.5.28
#16 0x00007f1ca1acb805 in Perl_call_sv () from /lib64/libperl.so.5.28
#17 0x00007f1c936bd72c in call_oninit (sub=0x5599d1252fb0, This=0x5599d200e3f0, my_perl=0x5599d0c25260) at Wx.c:134
#18 XS_Wx___App_Start (my_perl=0x5599d0c25260, cv=<optimized out>) at Wx.c:14743
#19 0x00007f1ca1b60b09 in Perl_pp_entersub () from /lib64/libperl.so.5.28
#20 0x00007f1ca1b56cf5 in Perl_runops_standard () from /lib64/libperl.so.5.28
#21 0x00007f1ca1ad393f in perl_run () from /lib64/libperl.so.5.28
#22 0x00005599cec2f34a in main (argc=<optimized out>, argv=<optimized out>, env=<optimized out>) at perlmain.c:122

Comment 1 Gert Dewit 2018-12-20 20:15:00 UTC
The crashes (slic3r-prusa3d also crashes in the same manner BTW) only seem to occur when using Wayland.
Gnome on Xorg seems ok.

Comment 2 Miro Hrončok 2018-12-20 22:47:24 UTC
Does setting GDK_BACKEND=x11 help?

Comment 4 Gert Dewit 2018-12-21 08:09:54 UTC
GDK_BACKEND=x11 slic3r

and 

GDK_BACKEND=x11 slic3r-prusa3d

work fine, I'll patch the slic3r.desktop file

thanks !

Comment 5 Gert Dewit 2018-12-21 08:27:17 UTC
$ diff -u /usr/share/applications/slic3r.desktop /usr/local/share/applications/slic3r-wayland.desktop 
--- /usr/share/applications/slic3r.desktop	2018-07-15 13:15:41.000000000 +0200
+++ /usr/local/share/applications/slic3r-wayland.desktop	2018-12-21 09:24:27.984161423 +0100
@@ -1,6 +1,6 @@
 [Desktop Entry]
-Name=Slic3r
-Exec=slic3r
+Name=Wayland Slic3r
+Exec=env GDK_BACKEND=x11 slic3r
 Icon=slic3r
 Terminal=false
 Type=Application

$ diff -u /usr/share/applications/slic3r-prusa3d.desktop /usr/local/share/applications/slic3r-prusa3d-wayland.desktop 
--- /usr/share/applications/slic3r-prusa3d.desktop	2018-10-02 22:55:11.000000000 +0200
+++ /usr/local/share/applications/slic3r-prusa3d-wayland.desktop	2018-12-21 09:24:20.801090640 +0100
@@ -1,6 +1,6 @@
 [Desktop Entry]
-Name=Slic3r Prusa Edition
-Exec=slic3r-prusa3d
+Name=Wayland Slic3r Prusa Edition
+Exec=env GDK_BACKEND=x11 slic3r-prusa3d
 Icon=slic3r-prusa3d
 Terminal=false
 Type=Application

Comment 6 Miro Hrončok 2018-12-21 09:25:50 UTC
I'd rather have it patched at Perl level, so even running from command lien works out of the box.

Something like https://src.fedoraproject.org/rpms/slic3r/blob/master/f/slic3r-english-locale.patch

Comment 7 Gert Dewit 2018-12-21 10:44:18 UTC
A perl level patch would be better indeed.

I suppose setting GDK_BACKEND=x11 when running in a Xorg environment is OK, otherwise a 'are we running on Wayland' check would be necessary and that may not be easy.

Comment 9 Miro Hrončok 2018-12-22 14:19:05 UTC
Yes, GDK_BACKEND=x11 when running in a Xorg environment is OK.


Gert, could you please test the build from https://koji.fedoraproject.org/koji/taskinfo?taskID=31570348 - but without setting the environment variable yourself? Thanks

Comment 10 Gert Dewit 2018-12-23 10:23:40 UTC
Hi Miro, tested, works fine.

Is there a similar patch made for the slic3r-prusa3d package ?
Or do I open an other bug report for that ?

Comment 11 Miro Hrončok 2018-12-23 10:33:46 UTC
I wanted this tested before I go and apply it to the Prusa Slic3r as well, no need for another bug report. Thanks!

Comment 12 Miro Hrončok 2018-12-23 11:27:15 UTC
slic3r-prusa3d for testing: https://koji.fedoraproject.org/koji/taskinfo?taskID=31588629

Comment 13 Fedora Update System 2018-12-23 12:10:22 UTC
slic3r-1.3.0-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-163f45e7ed

Comment 14 Gert Dewit 2018-12-23 16:22:42 UTC
Hi Miro, tested slic3r-prusa3d as well, all OK.

Thanks !

Comment 15 Fedora Update System 2018-12-23 17:46:09 UTC
slic3r-prusa3d-1.41.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cc637e5dfa

Comment 16 Fedora Update System 2018-12-24 06:03:29 UTC
slic3r-1.3.0-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-163f45e7ed

Comment 17 Fedora Update System 2018-12-24 06:03:32 UTC
slic3r-prusa3d-1.41.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cc637e5dfa

Comment 18 Fedora Update System 2019-01-01 02:55:23 UTC
slic3r-1.3.0-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-01-01 02:55:25 UTC
slic3r-prusa3d-1.41.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.